Subject: bug#27312: 25.2; can't activate fcitx even though env is set up correctly

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Jun 2017 06:55:56 +0300

On June 15, 2017 6:22:33 AM GMT+03:00, [email-masked] wrote:
> Leonard Lausen <[email-masked]> writes:
> 
> >> If you evaluate (getenv "XMODIFIERS") do you get the expected
> value?
> >> Does evaluating (setenv "XMODIFIERS" "@im=fcitx") help?
> >
> > (getenv "XMODIFIERS") returns in "@im=fcitx" for both modes ("emacs
> -Q"
> > and "emacs -Q -nw"). Running a further (setenv "XMODIFIERS"
> "@im=fcitx")
> > does not make any difference.
> 
> Ok, I see that according to Bug#10867, it should work with your setup.
> Have you ever got it working with older Emacs versions?
> 
> I guess you've also verified that 'locale -a' shows 'zh_CN.UTF-8'? 
> I'm
> afraid I don't know how to troubleshoot this any further.
> 
> > Note that if I press the Ctrl-Space key (which should change the
> fcitx
> > input method) "emacs -Q" reports "Mark set" and "Mark deactivated",
> > while for "emacs -Q -nw" the input method is changed correctly (i.e.
> I
> > can input Chinese characters thereafter).
> 
> Yeah, I guess for 'emacs -nw' it's really the terminal program that
> handles the input method, Emacs doesn't know anything about it.

etc/PROBLEMS mentions an issue with fcitx; could this be the same or similar
issue?